Deprecated: Wikimedia\CSS\Parser\Parser::newFromTokens(): Implicitly marking parameter $eof as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Parser/Parser.php on line 106

Deprecated: Wikimedia\CSS\Parser\DataSourceTokenizer::parseError(): Implicitly marking parameter $position as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Parser/DataSourceTokenizer.php on line 157

Deprecated: Wikimedia\CSS\Objects\RuleList::getSeparator(): Implicitly marking parameter $right as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/RuleList.php on line 19

Deprecated: Wikimedia\CSS\Objects\CSSObjectList::getSeparator(): Implicitly marking parameter $right as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/CSSObjectList.php on line 227

Deprecated: Wikimedia\CSS\Objects\QualifiedRule::__construct(): Implicitly marking parameter $token as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/QualifiedRule.php on line 24

Deprecated: Wikimedia\CSS\Objects\QualifiedRule::setBlock(): Implicitly marking parameter $block as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/QualifiedRule.php on line 55

Deprecated: Wikimedia\CSS\Objects\AtRule::setBlock(): Implicitly marking parameter $block as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/AtRule.php on line 85

Deprecated: Wikimedia\CSS\Objects\Stylesheet::__construct(): Implicitly marking parameter $rules as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/Stylesheet.php on line 27

Deprecated: Wikimedia\CSS\Grammar\MatcherFactory::cssSupportsCondition(): Implicitly marking parameter $declarationSanitizer as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Grammar/MatcherFactory.php on line 938

Deprecated: Wikimedia\CSS\Grammar\MatcherFactory::cssDeclaration(): Implicitly marking parameter $declarationSanitizer as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Grammar/MatcherFactory.php on line 980

Deprecated: Wikimedia\CSS\Sanitizer\PropertySanitizer::__construct(): Implicitly marking parameter $cssWideKeywordsMatcher as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Sanitizer/PropertySanitizer.php on line 33

Deprecated: Wikimedia\CSS\Grammar\Matcher::makeMatch(): Implicitly marking parameter $submatch as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Grammar/Matcher.php on line 191

Deprecated: Wikimedia\CSS\Grammar\TokenMatcher::__construct(): Implicitly marking parameter $callback as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Grammar/TokenMatcher.php on line 28

Deprecated: Wikimedia\CSS\Grammar\UrlMatcher::__construct(): Implicitly marking parameter $urlCheck as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Grammar/UrlMatcher.php on line 28

Deprecated: Wikimedia\CSS\Parser\TokenListTokenizer::__construct(): Implicitly marking parameter $eof as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Parser/TokenListTokenizer.php on line 29

Deprecated: Wikimedia\CSS\Objects\DeclarationList::getSeparator(): Implicitly marking parameter $right as nullable is deprecated, the explicit nullable type must be used instead in /srv/www/wiki/turku/extensions/TemplateStyles/vendor/wikimedia/css-sanitizer/src/Objects/DeclarationList.php on line 19

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69
Template:Reflist/styles.css - Library of Turku

Template:Reflist/styles.css

Revision as of 03:03, 30 November 2024 by Arcie (talk | contribs) (1 revision imported)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
/* {{pp|small=yes}} */
.reflist {
	margin-bottom: 0.5em;
	list-style-type: decimal;
}

@media screen {
	/* can we remove the font size declarations? .references gets a font-size in
	 * common.css that is always 90, and there is nothing else in reflist out in
	 * the wild. May affect column sizes.
	 */
	 /* make smaller only on screens */
	.reflist {
		font-size: 90%;        /* Default font-size */
	}
}

.reflist .references {
	font-size: 100%;           /* Reset font-size when nested in .reflist */
	margin-bottom: 0;          /* Avoid double margin when nested in .reflist */
	list-style-type: inherit;  /* Enable custom list style types */
}

/* columns-2 and columns-3 are legacy for "2 or more" column view from when the
 * template was implemented with column-count.
 */
.reflist-columns-2 {
	column-width: 30em;
}

.reflist-columns-3 {
	column-width: 25em;
}

/* Reset top margin for lists embedded in columns */
.reflist-columns {
	margin-top: 0.3em;
}

.reflist-columns ol {
	margin-top: 0;
}

/* Avoid elements breaking between columns */
.reflist-columns li {
	page-break-inside: avoid; /* Removed from CSS in favor of break-inside c. 2020 */
	break-inside: avoid-column;
}

.reflist-upper-alpha {
	list-style-type: upper-alpha;
}

.reflist-upper-roman {
	list-style-type: upper-roman;
}

.reflist-lower-alpha {
	list-style-type: lower-alpha;
}

.reflist-lower-greek {
	list-style-type: lower-greek;
}

.reflist-lower-roman {
	list-style-type: lower-roman;
}

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69

Warning: Cannot modify header information - headers already sent by (output started at /srv/www/wiki/turku/vendor/composer/ClassLoader.php:576) in /srv/www/wiki/turku/includes/Request/WebResponse.php on line 69